:host {
    position: sticky;
    top: 0;
    width: 100%;
    z-index: 999;
    transition: .3s;
}

:host.hidden {
    background: white;
    transform: translateY(-80px);
}

.top-navigation {
    background: #151515;
    color: white;
    padding: 20px 0;
    transition: .3s;
}
.top-navigation .container {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.brand svg {
    padding-top: 4px;
    height: 32px;
}

.search-control {
    display: flex;
}

.search-control .form-control {
    margin: 0;
}

.search-control input,
.search-control select {
    background: rgba(255,255,255,0.1);
    padding: 5px 15px;
    border: 1px solid transparent;
    border-radius: 3px;
    background: rgba(255,255,255,0.05);
    padding: 5px 15px;
    border: 1px solid transparent;
    border-radius: 3px;
    height: 100%;
    color: white;
    margin-right: 10px;
}

.search-control button {
    background: var(--blue);
    height: 40px;
    width: 40px;
    font-size: 1rem;
    border-radius: 50%;
    border: none;
    color: white;
    display: inline-flex;
    align-items: center;
    justify-content: center;
}

.top-actions {
    position: absolute;
    top: 100%;
    right: 15px;
    color: var(--light);
    margin-top: 15px;
}

.top-actions app-icon {
    height: 35px;
    width: 35px;
    background: var(--black);
    border-radius: 50%;
    margin-left: 10px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    opacity: .8;
    cursor: pointer;
}